Bug 62679 - /etc/init.d/syslog doesn't properly implement reload
/etc/init.d/syslog doesn't properly implement reload
Status: CLOSED NEXTRELEASE
Product: Red Hat Linux
Classification: Retired
Component: sysklogd (Show other bugs)
7.2
All Linux
medium Severity medium
: ---
: ---
Assigned To: Jason Vas Dias
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2002-04-04 05:07 EST by Boris Folgmann
Modified: 2007-04-18 12:41 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-08-04 16:36:39 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Boris Folgmann 2002-04-04 05:07:00 EST
From Bugzilla Helper:
User-Agent: Mozilla/4.78 [de] (X11; U; Linux 2.4.9-31 i686)

Description of problem:
/etc/init.d/syslog help
pretends that it does not support reload. In fact reload is implemented as a
restart in /etc/init.d/syslog.

That is bad. Please implement reload as sending SIG_HUP to the syslogd. See man
syslogd for details.


Version-Release number of selected component (if applicable):
sysklogd-1.4.1-4

How reproducible:
Always

Steps to Reproduce:
/etc/init.d/syslog reload


	

Actual Results:  The same as doing /etc/init.d/syslog restart


Additional info:
Comment 1 Jason Vas Dias 2005-06-07 18:28:24 EDT
Very sorry for the long delay in responding to this bug.
Somehow this bug slipped through the cracks - I just discovered it
(I've recently taken over maintenance of the syslogd package).

I agree - the next version of syslogd (1.4.1-31+) will have an
initscript that supports the "reload" command by sending a SIGHUP
to syslogd.

Comment 2 Bill Nottingham 2006-08-04 16:36:39 EDT
Red Hat Linux and Red Hat Powertools are currently no longer supported by Red
Hat, Inc. In an effort to clean up bugzilla, we are closing all bugs in MODIFIED
state for these products.

However, we do want to make sure that nothing important slips through the
cracks. If, in fact, these issues are not resolved in a current Fedora Core
Release (such as Fedora Core 5), please open a new issues stating so. Thanks.

Note You need to log in before you can comment on or make changes to this bug.